Bug 70510 - gftp keeps cache too aggressively so misses current ftp site state
Summary: gftp keeps cache too aggressively so misses current ftp site state
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gftp (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: MoveUpstream, Triaged
Depends On:
Blocks: 67218 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-08-01 22:10 UTC by Gene Czarcinski
Modified: 2013-04-02 04:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-27 18:53:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2002-08-01 22:10:33 UTC
I needed to download some updated from ftp://people.redhat.com/jbj and came
across this undesirable feature:

I was told that the files would there in about 20 minutes and about 20 minutes
later I brought up gftp on the system I needed to download to.  I manually
entered people.redhat.com, 21, anonymous, etc. and connected.  Nope files not
there yet.  I kept trying every so often but still no show. Between each attempt
I disconnected but did not close gftp

Later, on a different system I invoked gftp and looked again -- files present.

I went back to the download system, connected, and looked again -- nothing!

Closed gftp and then restarted.  Manually connected and the files were there.

It appears that gftp is using its cache files incorrectly.

Comment 1 Brent Fox 2002-10-18 15:43:26 UTC
Bug confirmed in gftp-2.0.13-5.  You have to select "Refresh" in order for
changes to show up, but that's not the right thing for the user to do right
after they've connected to the server.

Comment 2 Brent Fox 2002-10-18 15:50:53 UTC
Changing product component to 8.0 and making bug public.

Comment 3 Gene Czarcinski 2003-10-27 18:53:50 UTC
seems to work OK these days


Note You need to log in before you can comment on or make changes to this bug.